Page MenuHomePhabricator

Add login and create account links to www project portals
Closed, DeclinedPublic

Description

post SUL finalization the wikimedia.org/wikipedia.org/wikiquote.org/wikibooks.org/etc. front page should have the ability for users to log in and create accounts similar to the way that actual wikis do.

Related Objects

StatusAssignedTask
OpenNone
DeclinedNone
ResolvedLegoktm
DeclinedLegoktm
ResolvedLegoktm
ResolvedSpringle
ResolvedNone
ResolvedLegoktm
ResolvedLegoktm
ResolvedReedy
ResolvedNone
ResolvedLegoktm
ResolvedEBernhardson
ResolvedLegoktm
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedLegoktm
ResolvedEjegg
ResolvedLegoktm
InvalidNone
ResolvedLegoktm
ResolvedLegoktm
ResolvedNone
ResolvedEBernhardson
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
DeclinedNone
ResolvedLegoktm
ResolvedLegoktm
Resolvedaaron
DeclinedNone
Resolved Nikerabbit
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
InvalidLegoktm
ResolvedTgr
ResolvedLegoktm
Resolvedbd808
ResolvedReedy
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedNone
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedNone
ResolvedSpringle
ResolvedNone
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
ResolvedLegoktm
ResolvedLegoktm
Resolvedbd808
ResolvedKeegan
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.

I assume you mean all of the https://meta.wikimedia.org/wiki/Project_portals ? And the same for UniversalLanguageSelector, which is another currently missing personal tool?

Nemo, I think we could make the language selector a separate task, this refers to the control above.

The open question that we need to answer, is if a new users invokes create account from this screen wikipedia.org which wiki will be considered their "home wiki" if that concept even exsists after SUL finalization.

Since language selector in left sidebar does not seem to work when logged out on index.php?title=Special:UserLogin we should probably infer language from browser/OS when user chooses the Create account option.

TTO added a subscriber: TTO.
Krenair renamed this task from Implement login and create account on wikipedia.org page to Implement login and create account on each domain's index.Feb 9 2015, 12:20 AM
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
MZMcBride renamed this task from Implement login and create account on each domain's index to Add login and create account links to www project portals.Feb 9 2015, 12:27 AM

So we can add links, but which wiki will those links point to?

Harej added a subscriber: Harej.Feb 9 2015, 12:51 AM

If home wiki is transparent to the end user, it doesn't really matter which wiki is designated as their home wiki, as long as it's reasonable. Heck we could probably designate Meta or something, or a "www wikipedia" home wiki that doesn't truly exist (kind of like Multilingual Wikisource).

If it actually matters in a substantive way, couldn't we just ask them which language they prefer?

I'd recommend, in order of if the info exists…

Last wiki used (logged in via)
Wiki with most recent edits
Home wiki (is this meaningful to users?)
Wiki where account was created

In the case of new account creation, we could redirect the user back to where they were before logging in, let them choose, and save that choice. Based on the above rules.

Aklapper triaged this task as Low priority.Feb 23 2015, 4:34 PM
Aklapper added a subscriber: Aklapper.

I'm missing a "why" in the task description..
Adding Portals project here, to let them evaluate this task.

Restricted Application added a project: Discovery. · View Herald TranscriptOct 2 2016, 3:44 PM
debt added a subscriber: debt.Oct 3 2016, 5:02 PM

Is there a need to have a login for the wikipedia.org portal page? That portal page is used as a starting or jumping off point, not necessarily as a destination but to facilitate discovery into other wiki's and projects.

Nemo_bis closed this task as Declined.Oct 30 2016, 8:18 PM

Closing per all the above comments. Can be reopened once we have a clearer problem statement.